#!/bin/bash
#          _      _   _        ___       _    _  _ 
#  ___ ___| |_  _| |_(_)___   / __|_ __ | |__| || |
# (_-</ _ \ | || |  _| / _ \ | (_ | '  \| '_ \ __ |
# /__/\___/_|\_,_|\__|_\___/  \___|_|_|_|_.__/_||_|
#

PARAMS="$@"

echo "received raw parameters: $PARAMS"

BASE_PATH=$(dirname "${BASH_SOURCE}")

# launch the application
MYUSER=$(whoami)

if [ $MYUSER == "root" ] ; then
	echo "current user is root"
	"$BASE_PATH/updaterAsAdmin.sh" $PARAMS
else
	echo "current user is NOT root"
	open $BASE_PATH/charly-Updater.app --args -stringArg '$PARAMS'
fi

